<?php
final class MainDto extends AppDto {
    private $_tournamentNo = NULL;
    private $_tournamentName = NULL;
    private $_entryNum = NULL;
    private $_selected = array('2' => '', '4' => '', '8' => '', '16' => '', '32' => '', '64' => '');
    private $_tournaments = array();
    public function __construct() {
    }
    public function setTournamentNo($tournamentNo) {
        $this->_tournamentNo = $tournamentNo;
    }
    public function getTournamentNo() {
        return $this->_tournamentNo;
    }
    public function setTournamentName($tournamentName) {
        $this->_tournamentName = $tournamentName;
    }
    public function getTournamentName() {
        return $this->_tournamentName;
    }
    public function setEntryNum($entryNum) {
        $this->_entryNum = $entryNum;
        $this->_selected[$this->_entryNum] = 'selected';
    }
    public function getEntryNum() {
        return $this->_entryNum;
    }
    public function getSelected() {
        return $this->_selected;
    }
    public function setTournaments(array $tournaments) {
        $this->_tournaments = $tournaments;
    }
    public function getTournaments() {
        return $this->_tournaments;
    }
}
// EOF.